aboutsummaryrefslogtreecommitdiffstats
path: root/main/sessreg/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
commit9526ee659401dee7160f35cb62ded2779bcbbc99 (patch)
tree812ad73bde9c84dcc02a3acbc5db576369ca314a /main/sessreg/APKBUILD
parent05e09c1126a898b6d0af491fef0401bf53e297f8 (diff)
downloadaports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.gz
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.bz2
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.xz
merged x11 repository into main
ref #255
Diffstat (limited to 'main/sessreg/APKBUILD')
-rw-r--r--main/sessreg/APKBUILD23
1 files changed, 23 insertions, 0 deletions
diff --git a/main/sessreg/APKBUILD b/main/sessreg/APKBUILD
new file mode 100644
index 0000000000..4e1cba4e0d
--- /dev/null
+++ b/main/sessreg/APKBUILD
@@ -0,0 +1,23 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=sessreg
+pkgver=1.0.5
+pkgrel=0
+pkgdesc="manage utmp/wtmp entries for non-init clients"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-doc"
+depends=
+makedepends="pkgconfig xproto"
+source="http://xorg.freedesktop.org/releases/individual/app/$pkgname-$pkgver.tar.bz2"
+
+build () {
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr --mandir=/usr/share/man || return 1
+ make || return 1
+}
+
+package() {
+ cd "$srcdir"/$pkgname-$pkgver
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="00e834c3cbfd990e9d7d5ddc834242df sessreg-1.0.5.tar.bz2"